Loading...
Searching...
No Matches
Dune::algmeta_itsteps< I, MultiTypeBlockMatrix< T1, MultiTypeMatrixArgs... > > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Sparse Matrix and Vector classes » Block Recursive Iterative Kernels

`#include <dune/istl/gsetc.hh>`

Inheritance diagram for Dune::algmeta_itsteps< I, MultiTypeBlockMatrix< T1, MultiTypeMatrixArgs... > >:

## Static Public Member Functions

template<typename... MultiTypeVectorArgs, class K>
static void | dbgs (const MultiTypeBlockMatrix< T1, MultiTypeMatrixArgs... > &A, MultiTypeBlockVector< MultiTypeVectorArgs... > &x, const MultiTypeBlockVector< MultiTypeVectorArgs... > &b, const K &w)
template<typename... MultiTypeVectorArgs, class K>
static void | bsorf (const MultiTypeBlockMatrix< T1, MultiTypeMatrixArgs... > &A, MultiTypeBlockVector< MultiTypeVectorArgs... > &x, const MultiTypeBlockVector< MultiTypeVectorArgs... > &b, const K &w)
template<typename... MultiTypeVectorArgs, class K>
static void | bsorb (const MultiTypeBlockMatrix< T1, MultiTypeMatrixArgs... > &A, MultiTypeBlockVector< MultiTypeVectorArgs... > &x, const MultiTypeBlockVector< MultiTypeVectorArgs... > &b, const K &w)
template<typename... MultiTypeVectorArgs, class K>
static void | dbjac (const MultiTypeBlockMatrix< T1, MultiTypeMatrixArgs... > &A, MultiTypeBlockVector< MultiTypeVectorArgs... > &x, const MultiTypeBlockVector< MultiTypeVectorArgs... > &b, const K &w)

## Member Function Documentation

## bsorb()

template<int I, typename T1, typename... MultiTypeMatrixArgs>
template<typename... MultiTypeVectorArgs, class K>

void Dune::algmeta_itsteps< I, MultiTypeBlockMatrix< T1, MultiTypeMatrixArgs... > >::bsorb | ( | const MultiTypeBlockMatrix< T1, MultiTypeMatrixArgs... > & | A,
|  | MultiTypeBlockVector< MultiTypeVectorArgs... > & | x,
|  | const MultiTypeBlockVector< MultiTypeVectorArgs... > & | b,
|  | const K & | w )

inline static

## bsorf()

template<int I, typename T1, typename... MultiTypeMatrixArgs>
template<typename... MultiTypeVectorArgs, class K>

void Dune::algmeta_itsteps< I, MultiTypeBlockMatrix< T1, MultiTypeMatrixArgs... > >::bsorf | ( | const MultiTypeBlockMatrix< T1, MultiTypeMatrixArgs... > & | A,
|  | MultiTypeBlockVector< MultiTypeVectorArgs... > & | x,
|  | const MultiTypeBlockVector< MultiTypeVectorArgs... > & | b,
|  | const K & | w )

inline static

## dbgs()

template<int I, typename T1, typename... MultiTypeMatrixArgs>
template<typename... MultiTypeVectorArgs, class K>

void Dune::algmeta_itsteps< I, MultiTypeBlockMatrix< T1, MultiTypeMatrixArgs... > >::dbgs | ( | const MultiTypeBlockMatrix< T1, MultiTypeMatrixArgs... > & | A,
|  | MultiTypeBlockVector< MultiTypeVectorArgs... > & | x,
|  | const MultiTypeBlockVector< MultiTypeVectorArgs... > & | b,
|  | const K & | w )

inline static

## dbjac()

template<int I, typename T1, typename... MultiTypeMatrixArgs>
template<typename... MultiTypeVectorArgs, class K>

void Dune::algmeta_itsteps< I, MultiTypeBlockMatrix< T1, MultiTypeMatrixArgs... > >::dbjac | ( | const MultiTypeBlockMatrix< T1, MultiTypeMatrixArgs... > & | A,
|  | MultiTypeBlockVector< MultiTypeVectorArgs... > & | x,
|  | const MultiTypeBlockVector< MultiTypeVectorArgs... > & | b,
|  | const K & | w )

inline static

The documentation for this struct was generated from the following file:

- gsetc.hh